Bug Hunting Session
Bug 112098 - Make gpgme build on OS X
Summary: Make gpgme build on OS X
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All Mac OS X (All)
: medium enhancement
Assignee: Thorsten Behrens (CIB)
URL:
Whiteboard:
Keywords: easyHack, skillScript
Depends on:
Blocks: 89037
  Show dependency treegraph
 
Reported: 2017-08-30 02:42 UTC by Thorsten Behrens (CIB)
Modified: 2017-12-19 08:06 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thorsten Behrens (CIB) 2017-08-30 02:42:25 UTC
Spin off from bug 89037 - this is a build system easy hack to make gpgme (plus support libs) build on Mac
Comment 1 Thorsten Behrens (CIB) 2017-08-30 02:46:59 UTC
Code pointers:
* enable gpgme build in configure.ac (just grep for it)
* possibly port over / fix build for external/gpgme, external/libassuan and external/libgpg-error
Comment 2 Thorsten Behrens (CIB) 2017-08-30 02:58:28 UTC
So how to attack this: enable gpgme in configure.ac, run a full build, fix all errors you encounter. Easy as that. :)
Comment 3 Thorsten Behrens (CIB) 2017-10-20 18:07:30 UTC
wip patch here: https://gerrit.libreoffice.org/#/c/43616/
Comment 4 Xisco Faulí 2017-11-20 03:22:45 UTC Comment hidden (obsolete)
Comment 5 Thorsten Behrens (CIB) 2017-11-20 04:04:03 UTC
yep, patch is merged meanwhile; some higher level functions still missing.
Comment 6 Thorsten Behrens (CIB) 2017-12-19 08:06:31 UTC
Fixed, reportedly works on Mac now.